# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section		free

Summary:	JBoss Microcontainer
URL:		http://www.jboss.com/products/jbossmc
Source0:	jboss-microcontainer-1.0.1-src.tar.gz
#cvs -d:pserver:anonymous@anoncvs.forge.jboss.com:/cvsroot/jboss export -r JBossMC_1_0_1 microkernel

Source1:        jboss-microcontainer-buildmagic-libraries.ent
Source2:	jboss-microcontainer-buildmagic-buildmagic.ent
Source3:	jboss-microcontainer-buildmagic-targets.ent
Source4:        jboss-microcontainer-buildmagic-modules.ent
Source5:        jboss-microcontainer-buildmagic-autoload.properties
Source6:        jboss-microcontainer-buildmagic-task.properties
Source7:        jboss-microcontainer-buildmagic-common.properties
Source8:        jboss-microcontainer-buildmagic-common.xml


Patch0:		jboss-microcontainer-build_xml.patch
Patch1:		jboss-microcontainer-build-test_xml.patch


Name:		jboss-microcontainer
Version:	1.0.1
Release:	1jpp
Epoch:		0
License:	LGPL
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	ant >= 0:1.6
BuildRequires:	jboss-test
BuildRequires:	jboss-container
BuildRequires:	jboss-dependency
BuildRequires:	jboss4-common
BuildRequires:	jboss4-buildmagic-tasks
Requires:	jpackage-utils >= 0:1.6
Requires:	jboss-container
Requires:	jboss-dependency
Requires:	jboss4-common
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The JBoss Microcontainer provides a lightweight container for 
managing POJOs, their deployment and configuration.
Project goals include:
* Make the JBoss Microcontainer available as a standalone project.
* Embrace JBoss' POJO middleware strategy.
* Enable JBoss services to be easily deployed in the other 
  containers.
* Allow the features to be used in more restrictive environments 
  (e.g. Applets, J2ME, etc.).
* Provide POJO configuration management, support for dependencies, 
  and support for clustering.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}

%prep
%setup -q -n %{name}-%{version}-src
chmod -R go=u-w *
find . -name "*.jar" -exec rm {} \;

mkdir -p tools/lib
pushd tools/lib
ln -sf $(build-classpath jboss4/jboss4-buildmagic-tasks) buildmagic-tasks.jar
popd

mkdir -p thirdparty
cp %{SOURCE1} thirdparty/libraries.ent

mkdir -p tools/etc/buildmagic
cp %{SOURCE2} tools/etc/buildmagic/buildmagic.ent
cp %{SOURCE3} tools/etc/buildmagic/targets.ent
cp %{SOURCE4} tools/etc/buildmagic/modules.ent
cp %{SOURCE5} tools/etc/buildmagic/autoload.properties
cp %{SOURCE6} tools/etc/buildmagic/task.properties
cp %{SOURCE7} tools/etc/buildmagic/common.properties
cp %{SOURCE8} tools/etc/buildmagic/common.xml

%patch0 -b .sav
%patch1 -b .sav

mkdir -p common/output/lib
pushd common/output/lib
ln -sf $(build-classpath jboss4/jboss-common) .
popd

mkdir -p container/output/lib
pushd container/output/lib
ln -sf $(build-classpath jboss-container) .
popd

mkdir -p dependency/output/lib
pushd dependency/output/lib
ln -sf $(build-classpath jboss-dependency) .
popd

mkdir -p test/output/lib
pushd test/output/lib
ln -sf $(build-classpath jboss-test/jboss-test) .
popd

%build
ant jars docs
ant -f build-test.xml jars tests

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 output/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -p -m 0644 output/lib/%{name}-test.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-test-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed May 27 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-1jpp
- First JPP-1.7 release
